/*  FLAC Plugin for Soundplay
    Copyright (C) 2005 Ville Koskinen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* A simple About window. */

#include "AboutWindow.h"
#include <StringView.h>
#include <Message.h>

AboutWindow::AboutWindow():
	BWindow(BRect(100, 100, 200, 200), "About FLAC plugin", B_TITLED_WINDOW, 
		B_NOT_RESIZABLE | B_NOT_ZOOMABLE)
{
	BView *background = new BView(BRect(Bounds()), "", B_FOLLOW_ALL_SIDES, 
		B_WILL_DRAW);
	AddChild(background);
	
	BStringView *text = new BStringView(
		BRect(0, 0, background->Frame().right, background->Frame().bottom),
		"",
		"FLAC plugin for SoundPlay\nBy Ville Koskinen",
		B_FOLLOW_LEFT, B_WILL_DRAW);
	background->AddChild(text);	
}

AboutWindow::~AboutWindow()
{
}
	
void AboutWindow::MessageReceived(BMessage *message)
{
	switch (message->what)
	{
		default:
			BWindow::MessageReceived(message);
			break;
	}
}

bool AboutWindow::QuitRequested()
{
	BWindow::QuitRequested();
	return true;
}

