/*  FLAC Plugin for Soundplay
    Copyright (C) 2005 Ville Koskinen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef _CONFIGURATIONVIEW_H_
#define _CONFIGURATIONVIEW_H_

#include <Box.h>
#include <CheckBox.h>
#include <Handler.h>
#include <MessageFilter.h>
#include <PopUpMenu.h>
#include <MenuField.h>
#include <MenuItem.h>
#include <Message.h>
#include <View.h>
#include <Window.h>

#include <support/UTF8.h>

struct encoding_name {
	int32 type;
	char *name;
};

enum { 
	CV_ENCODING_SELECT 		= 'enco',
	CV_ASSUME_UTF8			= 'autf'
};

/* We need to create a filter to ensure the messages reach our view. Without this,
the messages are consumed by the parent window. */
class ConfigurationMessageFilter: public BMessageFilter
{
private:
	BHandler *target;
public:
	ConfigurationMessageFilter(BHandler *target);
	virtual ~ConfigurationMessageFilter();
	
	virtual filter_result Filter(BMessage *message, BHandler **target);
};

class ConfigurationView: public BView
{
private:
	BMessage *conf;
	
	//BPopUpMenu *ch_codes;
	BMenuField *select_encoding;
	BCheckBox *assume_utf8;
	
	ConfigurationMessageFilter *my_message_filter;
public:
	ConfigurationView(BMessage *conf);
	virtual ~ConfigurationView();
	
	virtual void AttachedToWindow(void);
	virtual void DetachedFromWindow(void);
	virtual void MessageReceived(BMessage *message);
};

	
#endif // _CONFIGURATIONVIEW_H_
